
QGIS Application - Bug report #4518

Rotation of labels and symbols should be in the same direction

2011-11-12 05:59 AM - Paolo Cavallini

Status: Closed

Priority: Normal

Assignee:

Category: Symbology

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 14436

Description

Currently, rotation of labels is counterclockwise, whereas rotation of symbols is clockwise. This gives unexpected results for users, so

should be made uniform (either way is good IMHO)

Associated revisions

Revision 21a4ac4d - 2017-05-30 09:23 AM - Nyall Dawson

Unify label rotation with other rotation settings

Label rotation is now specified in degrees clockwise, just like

symbol rotation, map rotation, etc.

Fix #4518

History

#1 - 2011-11-14 09:38 AM - Martin Dobias

- Assignee deleted (Martin Dobias)

#2 - 2011-12-09 08:35 AM - Paolo Cavallini

- Category set to Symbology

#3 - 2011-12-16 02:10 PM - Giovanni Manghi

- Target version set to Version 1.7.4

#4 - 2012-04-16 06:32 AM - Paolo Cavallini

- Target version changed from Version 1.7.4 to Version 1.8.0

- Affected QGIS version set to master

- Crashes QGIS or corrupts data set to No

#5 - 2012-09-04 11:56 AM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#6 - 2014-06-28 07:41 AM - Jürgen Fischer

- Target version changed from Version 2.0.0 to Future Release - Lower Priority

#7 - 2015-12-05 05:24 AM - Médéric RIBREUX

- Status changed from Open to Feedback
Hello, bug triage...

this is still the case in QGIS 2.13 even with the new label engine...

It's been 4 years since this bug report and perhaps users now expect to have different rotation orientation for labels and symbols ?

Is it still relevant to modify it after all those years without breaking user experience ?

#8 - 2015-12-05 05:55 AM - Paolo Cavallini

It is. Planned for 3.0. Thanks.

#9 - 2015-12-12 03:08 AM - Médéric RIBREUX

- Status changed from Feedback to Open

#10 - 2017-05-01 01:10 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#11 - 2017-05-31 04:54 AM - Nyall Dawson

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|21a4ac4d3a747182c78224e23718bd09c6243d73.
